Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Class GeometricObjectType

    Object
      CodeList<GeometricObjectType>
          GeometricObjectType

All Implemented Interfaces:
  Serializable, Comparable<GeometricObjectType>

    @UML(identifier="MD_GeometricObjectTypeCode",
         specification=ISO_19115)
    public final class GeometricObjectType

extends CodeList<GeometricObjectType>

Name of point and vector spatial objects used to locate zero-, one-, and twodimensional spatial locations in the dataset.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static GeometricObjectType` | `COMPLEX` Set of geometric primitives such that their boundaries can be represented as a union of other primitives.
`static GeometricObjectType` | `COMPLEXES` Deprecated. Renamed as `COMPLEX`.
`static GeometricObjectType` | `COMPOSITE` Connected set of curves, solids or surfaces.
`static GeometricObjectType` | `COMPOSITES` Deprecated. Renamed as `COMPOSITE`.
`static GeometricObjectType` | `CURVE` Bounded, 1-dimensional geometric primitive, representing the continuous image of a line.
`static GeometricObjectType` | `POINT` Zero-dimensional geometric primitive, representing a position but not having an extent.
`static GeometricObjectType` | `SOLID` Bounded, connected 3-dimensional geometric primitive, representing the continuous image of a region of space.
`static GeometricObjectType` | `SURFACE` Bounded, connected 2-dimensional geometric, representing the continuous image of a region of a plane.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static GeometricObjectType` | `valueOf(String code)` Returns the GeometricObjectType that matches the given string, or returns a new one if none match it.
`static GeometricObjectType[]` | `values()` Returns the list of `GeometricObjectType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPLEX

    @UML(identifier="complex",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final GeometricObjectType COMPLEX

  Set of geometric primitives such that their boundaries can be represented as a union of other primitives.

  Since:
    GeoAPI 2.1

### COMPOSITE

    @UML(identifier="composite",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final GeometricObjectType COMPOSITE

  Connected set of curves, solids or surfaces.

  Since:
    GeoAPI 2.1

### CURVE

    @UML(identifier="curve",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final GeometricObjectType CURVE

  Bounded, 1-dimensional geometric primitive, representing the continuous image of a line.

### POINT

    @UML(identifier="point",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final GeometricObjectType POINT

  Zero-dimensional geometric primitive, representing a position but not having an extent.

### SOLID

    @UML(identifier="solid",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final GeometricObjectType SOLID

  Bounded, connected 3-dimensional geometric primitive, representing the continuous image of a region of space.

### SURFACE

    @UML(identifier="surface",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final GeometricObjectType SURFACE

  Bounded, connected 2-dimensional geometric, representing the continuous image of a region of a plane.

### COMPLEXES

    public static final GeometricObjectType COMPLEXES

  Deprecated. Renamed as `COMPLEX`.
  Set of geometric primitives such that their boundaries can be represented as a union of other primitives.

### COMPOSITES

    public static final GeometricObjectType COMPOSITES

  Deprecated. Renamed as `COMPOSITE`.
  Connected set of curves, solids or surfaces.

Method Detail

### values

    public static GeometricObjectType[] values()

  Returns the list of `GeometricObjectType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<GeometricObjectType>`

### valueOf

    public static GeometricObjectType valueOf(String code)

  Returns the GeometricObjectType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.